Bug 530755 - Review Request: dpic - A compiler for the pic language
Review Request: dpic - A compiler for the pic language
Status: CLOSED DUPLICATE of bug 662269
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 526844 530756
  Show dependency treegraph
 
Reported: 2009-10-24 14:47 EDT by Ben Boeckel
Modified: 2010-12-12 18:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-25 05:46:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-10-24 14:47:41 EDT
Spec URL: http://benboeckel.net/packaging/dpic/dpic.spec
SRPM URL: http://benboeckel.net/packaging/dpic/dpic-20090713-1.fc12.src.rpm
Description:
A compiler for the pic language with more ouptut formats including raw
PostScript, LaTeX, TikZ, and more.
Comment 1 Thomas Spura 2009-10-30 10:46:34 EDT
This fails to build for me:

 40 pushd doc/examples
 41 # This is really hairy and parallel builds step on each others' toes
 42 export PATH=$PATH+:../../
 43 make DPIC=../../dpic
 44 popd

With this export PATH=... the make will find dpic in the currend search path.
The variable DPIC=../../dpic is not used here, because you commented out the examples patch.

But with extending the PATH variable, this patch is not needed, anyway...

Atm, this is notready, till you found a way to install the examples ;)

How about a 
mkdir -p %{buildroot}%{_datadir}/%{name}/examples/
cp -a * %{buildroot}%{_datadir}/%{name}/examples/

in the 'TODO: install examples' - %install section?
Comment 2 Ben Boeckel 2009-10-30 12:43:06 EDT
(In reply to comment #1)
> This fails to build for me:
> 
>  40 pushd doc/examples
>  41 # This is really hairy and parallel builds step on each others' toes
>  42 export PATH=$PATH+:../../
>  43 make DPIC=../../dpic
>  44 popd
> 
> With this export PATH=... the make will find dpic in the currend search path.
> The variable DPIC=../../dpic is not used here, because you commented out the
> examples patch.
I also missed putting the %if around this part.

> But with extending the PATH variable, this patch is not needed, anyway...
The all target is nice :) .

> Atm, this is notready, till you found a way to install the examples ;)
> 
> How about a 
> mkdir -p %{buildroot}%{_datadir}/%{name}/examples/
> cp -a * %{buildroot}%{_datadir}/%{name}/examples/
> 
> in the 'TODO: install examples' - %install section?
I also wanted to ship built examples, but with now the examples are built things are...hairy. Shipping just the examples should work though.
Comment 3 Chitlesh GOORAH 2009-11-08 05:40:22 EST
Can you please update this srpm for review ?
Comment 5 Thomas Spura 2009-11-08 15:29:47 EST
It would be better to install the examples into
   %{_defaultdocdir}/%{name}-%{version}/
There are too much files in it.
Makefile, and 3 *.log files

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: 
       [] devel/i386 
       [] devel/x86_64
       [] F11/i386 
       [x] F11/x86_64
 [!] Rpmlint output:
$ rpmlint dpic.spec dpic-20091009-1.fc11.src.rpm x86_64/dpic-*
dpic-debuginfo.x86_64: E: empty-debuginfo-package
dpic-examples.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 1 errors, 1 warnings.


- The CFLAGS are not honored in the Makefile, probably therefore there is no 
  debuginfo package.
- no-docu is ok, when you install them into %{_defaultdocdir} this would be gone
- The examples should be noarch


 [x] Buildroot is correct
     (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: BSD
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream source: 78dc2f9d3d401868d1833eee62b01ab4
     Build source:    78dc2f9d3d401868d1833eee62b01ab4
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [x] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
     not needed for the examples
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [-] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [!] Package should compile and build into binary rpms on all supported architectures.
no BR: tex(latex)
Builds then:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1795163


Issues:
- proberly install examples (into defaultdocdir
- examples subpackage should be noarch
- patch the makefile for using CFLAGS
- BR: tex(latex) is missing
Comment 6 Chitlesh GOORAH 2009-11-17 13:14:50 EST
I would advice you to change the version to something similar to this (here "pcb" is the name of another software")

------------------------
%global         pcbver    20091103

Name:           pcb
Version:        0.%{pcbver}
----------------------------------


If your upstream decides for some reason to start versioning with 1.0 or 2.0 instead of the date, you will encounter some tagging issues with the fedora build system. 

It would be nice to fix it before it reaches the repository.
Comment 7 Chitlesh GOORAH 2009-12-02 08:31:47 EST
can you please update all the packages you are preparing for cirkuit as they will determine the usability of the tool itself.
Comment 8 Chitlesh GOORAH 2009-12-08 04:53:14 EST
Hello Ben,

Can you please give some love to your package review requests please ? I'm relocating to another country by the end of this month and won't be available during january. If by the end of this month, I haven't approved your packages, I will remove myself as a reviewer from your packages : cirkuit and circuit_macros
Comment 9 Ben Boeckel 2009-12-10 01:19:05 EST
Yes, I should be able to, finally getting to catch up from the end-of-semester rush.
Comment 10 Thomas Spura 2010-01-23 22:46:50 EST
(In reply to comment #9)
> Yes, I should be able to, finally getting to catch up from the end-of-semester
> rush.    

It seems you don't.

Ping?

I will close this soon otherwise.
Comment 11 Thomas Spura 2010-02-25 05:46:45 EST
(In reply to comment #10)
> (In reply to comment #9)
> > Yes, I should be able to, finally getting to catch up from the end-of-semester
> > rush.    
> 
> It seems you don't.
> 
> Ping?
> 
> I will close this soon otherwise.    

Closing.
Comment 12 Thomas Spura 2010-12-12 18:05:47 EST

*** This bug has been marked as a duplicate of bug 662269 ***

Note You need to log in before you can comment on or make changes to this bug.